<?php

namespace App\Http\Controllers\User\Api;

use Auth;
use Illuminate\Http\Request;

use App\Http\Modules\User\ContractTemplateObligationContractTemplateDependencyModule;

use App\Http\Controllers\User\BaseController;

class ContractTemplateObligationContractTemplateDependencyController extends BaseController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list(Request $request)
    {
    	$contract_template_obligation_contract_template_dependency = ContractTemplateObligationContractTemplateDependencyModule::list($request);
    	return $contract_template_obligation_contract_template_dependency;
    }

    public function show(Request $request, $hash_id)
    {
        $contract_template_obligation_contract_template_dependency = ContractTemplateObligationContractTemplateDependencyModule::show($request, $hash_id);
        return $contract_template_obligation_contract_template_dependency;
    }

    public function store(Request $request)
    {
        $contract_template_obligation_contract_template_dependency = ContractTemplateObligationContractTemplateDependencyModule::store($request);
        return $contract_template_obligation_contract_template_dependency;
    }

    public function update(Request $request, $hash_id)
    {
        $contract_template_obligation_contract_template_dependency = ContractTemplateObligationContractTemplateDependencyModule::update($request, $hash_id);
        return $contract_template_obligation_contract_template_dependency;
    }

    public function delete(Request $request, $hash_id)
    {
        $contract_template_obligation_contract_template_dependency = ContractTemplateObligationContractTemplateDependencyModule::delete($request, $hash_id);
        return $contract_template_obligation_contract_template_dependency;
    }
}
